// Uninstalls the login item.
//

const FEED_JOURNALER_NAME = 'Feed Journaler';
const APP_NAME = 'Feed Journaler.app';

let systemEvents = Application('System Events');

function removeLoginItem() {
    let hasItem = false;
    let showMainWindowOnLogin = false;
    
    let loginItemIndex = -1;
    for (let i = 0; i < systemEvents.loginItems.length; i++) {
        let loginItem = systemEvents.loginItems[i];
        if ((loginItem.name() == FEED_JOURNALER_NAME) && (loginItem.path().endsWith(APP_NAME))) {
            systemEvents.delete(loginItem);
            break;
        }
    }
}

removeLoginItem();
